> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Phone network settings

> phone network settings



## OpenAPI

````yaml post /open/api/phone/setNetwork
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/setNetwork:
    post:
      tags: []
      summary: Phone network settings
      description: phone network settings
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneSetNetworkReqVOUpdate'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RVoid'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    PhoneSetNetworkReqVOUpdate:
      type: object
      properties:
        id:
          type: integer
          description: Phone ID, The `Get phone list` returns the ID contained in the data.
          format: int64
        networkId:
          type: integer
          description: >-
            Network ID, The `Get network list` returns the ID contained in the
            data.If set, use the data of networkId, If not filled in, then use
            the transmitted network data to generate or modify the network data.
          format: int64
        host:
          type: string
          description: >-
            Proxy host, If a networkId is set, then the data corresponding to
            the networkId will be the primary source.
        port:
          type: integer
          description: >-
            Proxy port, If a networkId is set, then the data corresponding to
            the networkId will be the primary source.
        account:
          type: string
          description: >-
            Proxy account, If a networkId is set, then the data corresponding to
            the networkId will be the primary source.
        password:
          type: string
          description: >-
            Proxy password, If a networkId is set, then the data corresponding
            to the networkId will be the primary source.
        type:
          type: string
          description: >-
            Proxy type: 1=socks5 2=https 3=http, If a networkId is set, then the
            data corresponding to the networkId will be the primary source.
        way:
          type: string
          description: >-
            Usage method: 1=Static IP 2=Dynamic IP, If a networkId is set, then
            the data corresponding to the networkId will be the primary source.
        region:
          type: string
          description: >-
            Proxy Region, If a networkId is set, then the data corresponding to
            the networkId will be the primary source.
        status:
          type: integer
          description: >-
            Proxy Check Status, If a networkId is set, then the data
            corresponding to the networkId will be the primary source.
        name:
          type: string
          description: >-
            Network name, If a networkId is set, then the data corresponding to
            the networkId will be the primary source.
        ip:
          type: string
          description: >-
            Actual IP address, If a networkId is set, then the data
            corresponding to the networkId will be the primary source.
        countryName:
          type: string
          description: >-
            Proxy city name, If a networkId is set, then the data corresponding
            to the networkId will be the primary source.
        countryCode:
          type: string
          description: >-
            Proxy city code, If a networkId is set, then the data corresponding
            to the networkId will be the primary source.
        latitude:
          type: string
          description: >-
            Proxy Latitude, If a networkId is set, then the data corresponding
            to the networkId will be the primary source.
        longitude:
          type: string
          description: >-
            Proxy Longitude, If a networkId is set, then the data corresponding
            to the networkId will be the primary source.
        language:
          type: string
          description: >-
            Language, If a networkId is set, then the data corresponding to the
            networkId will be the primary source.
        timezone:
          type: string
          description: >-
            Proxy Timezone, If a networkId is set, then the data corresponding
            to the networkId will be the primary source.
        udp:
          type: integer
          description: Whether UDP is enabled (1=enabled, 0=disabled)
        tcp:
          type: integer
          description: Whether TCP is enabled (1=enabled, 0=disabled)
        remark:
          type: string
          description: Remarks
        groupId:
          type: integer
          description: Network group ID
          format: int64
          default: -1
        detectDataType:
          type: integer
          description: 'Detection data type: 1=Follow IP 2=Custom'
        expireTime:
          type: integer
          description: Proxy expiration time (millisecond timestamp)
          format: int64
      required:
        - id
    RVoid:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          description: Request return data
          type: 'null'
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status

````